#
#  Makefile - Tom Green '92
#
#  Copyright 1992
#
#  SUPER COMPUTER COMPUTATIONS RESEARCH INSTITUTE
#             FLORIDA STATE UNIVERSITY
#
#
#  SCRI representatives make no claims about the
#  suitability of this software for any purpose.
#  It is provided "as is" without express or
#  implied warranty.
#

# $Id: Makefile,v 1.2 1998/09/18 13:52:08 green Exp $
#
# $Log: Makefile,v $
# Revision 1.2  1998/09/18 13:52:08  green
# *** empty log message ***
#
# Revision 1.1.1.1  1998/08/18 14:39:09  green
# DQS 3.2.0.5 WIP Import
#
# Revision 1.10  1998/02/03 19:49:25  decker
# Added note to log, concerning queue in alarm mode
# Few minor changes for new revision 3.2 s
#
# Revision 1.2  1997/04/11 19:59:41  green
# ignore
#
# Revision 1.1.1.1  1997/04/10 15:10:30  green
# DQS 3.1.3.4.1 Distribution
#
# Revision 3.4  1996/07/12 00:43:26  nrl
# more fixes for SOLARIS and linux
#
# Revision 3.3  1996/07/09  23:14:42  nrl
# Removed default XLIBPATH
#
# Revision 3.2  1996/03/31  19:04:24  nrl
# updated to ensure passing configure parameters to
# other makefiles
#
# Revision 3.1  1996/03/30  21:32:28  nrl
# Cleanup prior to tagging to 3.1.3
#
# Revision 3.6  1996/03/12  17:11:37  nrl
# removed aborts and replaced with an error messaging scheme
# to send email to the dqs adminsitrator and wait for
# actions by that administrator
#
# Revision 3.5  1995/05/29  18:08:42  nrl
# More solaris stuff GAGGHH had to differentiate more cases of
# solaris2.3 and solaris2.4 stuff
#
# Revision 3.4  1994/06/23  20:32:22  green
# more Solaris fun
#
#
# Revision 3.3  1994/06/06  23:29:28  green
# fixed bug in generating Makefile.h(actually not a bug - but AIX
# couldn't dijest it...)
#
# added dqs_parse_exec_str.c(and added in Makefile.proto)
#
# built a more "generic" conf_file and resolve_file
#
# updated dqs_execd.c and dqs_start_p4.c to utilize dqs_parse_exec_str()
#
# had DQS_DSHD_BIN and DQS_DSH_BIN misnamed in prognames.h
#
# Revision 3.2  1994/06/02  18:49:29  green
# more portability headaches brought on by Sun Solaris
# now including "Makefile.h" which is generated by config.guess
# so we can stick in all sorts of #ifdefs in to handle Sloaris
#
# Revision 3.1  1994/06/02  13:44:22  green
# attempt to port to Sloaris...
# Work In Progress(WIPed)
#
# Revision 3.0  1994/03/07  04:12:53  green
# 3.0 freeze
#
# Revision 1.1.1.1  1994/02/01  17:57:35  green
# DQS 3.0 ALPHA
#
#
#
 
#***** This Makefile builds an arc dependant makefile
#***** from Makefile.proto by utilizing cpp



#ifdef __convex__
CC=/lib/cpp -pcc
#else
CC=cc
#endif



###MAKE=dmake -j -g ibms -g ibm

PROTO=../SRC/Makefile.proto

all		:
		cp $(PROTO) Makefile.c
		echo "#define `../UTIL/config.guess 1`" | sed s/\\./_/g | sed s/-/_/g > Makefile.h
		$(CC) -E Makefile.c | sed 's/\/ /\//g' | sed 's/ \//\//g' | sed 's/ ( BIN_DIR )/(BIN_DIR)/g' > Makefile.typ
#		rm -f Makefile.c
		@$(MAKE) -f Makefile.typ $@

.DEFAULT	: 
		cp $(PROTO) Makefile.c
		echo "#define `../UTIL/config.guess`" | sed s/\\./_/g | sed s/-/_/g > Makefile.h
		$(CC) -E Makefile.c | sed 's/\/ /\//g' | sed 's/ \//\//g' | sed 's/ ( BIN_DIR )/(BIN_DIR)/g' > Makefile.typ
#		rm -f Makefile.c
		@$(MAKE) -f Makefile.typ $@



